package com.njcn.rdms.module.project.service.performance;

import com.njcn.rdms.framework.common.pojo.PageResult;
import com.njcn.rdms.module.project.controller.admin.performance.vo.PerformanceTemplatePageReqVO;
import com.njcn.rdms.module.project.controller.admin.performance.vo.PerformanceTemplateRespVO;
import com.njcn.rdms.module.project.controller.admin.performance.vo.PerformanceTemplateUploadReqVO;

public interface PerformanceTemplateService {

    PerformanceTemplateRespVO getCurrentTemplate();

    PageResult<PerformanceTemplateRespVO> getTemplatePage(PerformanceTemplatePageReqVO reqVO);

    Long uploadTemplate(PerformanceTemplateUploadReqVO reqVO);

    void activateTemplate(Long id);
}
